# netctlgui: SleepThread Class Reference

All Classes Files Functions
SleepThread Class Reference

The SleepThread class is used for sleep current thread in WpaSup class. More...

Inheritance diagram for SleepThread:

## Static Public Member Functions

static void | usleep (long iSleepTime)
| method which forces the current thread to sleep for usecs microseconds More...
static void | sleep (long iSleepTime)
| method which forces the current thread to sleep for usecs seconds More...
static void | msleep (long iSleepTime)
| method which forces the current thread to sleep for usecs milliseconds More...

## Detailed Description

The SleepThread class is used for sleep current thread in WpaSup class.

## Member Function Documentation

static void SleepThread::msleep | ( | long | iSleepTime | ) |

inlinestatic

method which forces the current thread to sleep for usecs milliseconds

Parameters

  iSleepTime | time in milliseconds

static void SleepThread::sleep | ( | long | iSleepTime | ) |

inlinestatic

method which forces the current thread to sleep for usecs seconds

Parameters

  iSleepTime | time in seconds

static void SleepThread::usleep | ( | long | iSleepTime | ) |

inlinestatic

method which forces the current thread to sleep for usecs microseconds

Parameters

  iSleepTime | time in microseconds

The documentation for this class was generated from the following file:

- sleepthread.h